package com.test;
import java.io.*;
import java.util.List;
import org.apache.ibatis.io.Resources;
import org.apache.ibatis.session.*;
import com.baomidou.mybatisplus.core.MybatisSqlSessionFactoryBuilder;
import com.dao.BigDataMapper;
import com.pojo.BigData;
public class TestBigData {
	SqlSession sqlSession = null;
	BigDataMapper bigDateMapper = null;
	public void init() {
		try {
		//1. sqlsession factory biulder 
	    MybatisSqlSessionFactoryBuilder sfb = new MybatisSqlSessionFactoryBuilder();
	    //2. ļΪһ
	    //Resources ʹõİ ibatis
	    InputStream resourceAsStream;
			resourceAsStream = Resources.getResourceAsStream("mybatis-config.xml");
	    //3. ͨỰ   ļ   һỰ칤
	    SqlSessionFactory factory = sfb.build(resourceAsStream);
	    //4. ͨsqlỰ //true mybatisԶύ
	    sqlSession = factory.openSession(true);
	    bigDateMapper = sqlSession.getMapper(BigDataMapper.class);
	    resourceAsStream.close();
		} catch (IOException e) {
			e.printStackTrace();
		}
	}
	public static void main(String[] args) {
		TestBigData test = new TestBigData();
		test.init();
		test.testInsert();
		test.testSelect();
	}
	//Բֶα
	private void testInsert() {
		try {
		String filePath = "D:\\DM8ص.jpg";
		File file = new File(filePath);
		String filePath2 = "D:\\βƷ.txt";
		File file2 = new File(filePath2);
		InputStream in;
		in = new BufferedInputStream(new FileInputStream(file));
		byte[] bytes1 = new byte[102400];
		byte[] bytes2 = new byte[102400];
		in.read(bytes1);
		InputStream in2 = new BufferedInputStream(new FileInputStream(file));
		in2.read(bytes2);
		BufferedReader reader = new BufferedReader(new InputStreamReader
				(new FileInputStream(file2),"UTF-8"));
		StringBuffer stringBuffer = new StringBuffer("");
		String str = null;
		while((str = reader.readLine())!=null) {
			stringBuffer.append(str);
			stringBuffer.append("\n");
		}
		BigData bigDate = new BigData(null,bytes1,bytes2,stringBuffer.toString());
		bigDateMapper.insert(bigDate);
		in.close();
		in2.close();
		reader.close();
		} catch (FileNotFoundException e) {
			e.printStackTrace();
		} catch (UnsupportedEncodingException e) {
			e.printStackTrace();
		} catch (IOException e) {
			e.printStackTrace();
		}
	}
	//Բѯֶα
	private void testSelect() {
		List<BigData> list = bigDateMapper.selectList(null);
		try {
			for(BigData big:list) {
				//ӡid
				System.out.println("id = "+big.getId());
				//photoϢ ָ·
				FileOutputStream fos = new FileOutputStream("D:/"+big.getId()+"_DM8ص.jpg");
				fos.write(big.getPhoto());
				//describeϢ ָ·
				FileOutputStream fos2 = new FileOutputStream("D:/"+big.getId()+"_Blob_DM8ص.jpg");
				fos2.write(big.getDescribe());
				//photoϢ ̨
				System.out.println("txt="+big.getTxt());
				fos.close();
				fos2.close();
		}
		} catch (FileNotFoundException e) {
			e.printStackTrace();
		} catch (IOException e) {
			e.printStackTrace();
		}
	}
}
