package com.test;
import java.io.InputStream;
import java.util.List;
import org.apache.ibatis.io.Resources;
import org.apache.ibatis.session.SqlSession;
import org.apache.ibatis.session.SqlSessionFactory;
import org.junit.Test;
import com.baomidou.mybatisplus.core.MybatisSqlSessionFactoryBuilder;
import com.dao.ProductCategoryMapper;
import com.pojo.ProductCategory;
public class TestProduct {
	SqlSession sqlSession = null;
	ProductCategoryMapper productCategoryMapper = null;
	public void init() {
		try {
			//1. sqlsession factory biulder 
            MybatisSqlSessionFactoryBuilder builder = new MybatisSqlSessionFactoryBuilder();
            //2. ļΪһ
            InputStream resourceAsStream =
                    Resources.getResourceAsStream("mybatis-config.xml");
            SqlSessionFactory factory = builder.build(resourceAsStream);
            //Resources ʹõİ ibatis
            //3. ͨỰ   ļ   һỰ칤
            //4. ͨsqlỰ //true mybatisԶύ
            sqlSession = factory.openSession(true);
            productCategoryMapper = sqlSession.getMapper(ProductCategoryMapper.class);
		}catch (Exception e){
            e.printStackTrace();
        }
	}
	//ԲϢ
    @Test
    public void testInstert(){
    	productCategoryMapper.insert((new ProductCategory(null, "")));
    }
    //޸Ϣ
    @Test
    public void testUpdate(){
    	ProductCategory productCategory = productCategoryMapper.selectById(4);
    	productCategory.setName("Ӣ");
    	productCategoryMapper.updateById(productCategory);
    }
    //ԸidѯָϢ
    @Test
    public void testSelectPersonById(){
    	ProductCategory productCategory = productCategoryMapper.selectById(1);
        System.out.println(productCategory);
    }
    //ȫ
    @Test
    public void testSelectAll(){
        List<ProductCategory> selectList = productCategoryMapper.selectList(null);
        for(ProductCategory p: selectList){
            System.out.println(p);
        }
    }
    //ɾ
    @Test
    public  void testDelete(){
    	productCategoryMapper.deleteById(5);
    }
    //ɾĲ
	public static void main(String[] args) {
		TestProduct test = new TestProduct();
		test.init();
		test.testInstert();
		test.testSelectPersonById();
		test.testUpdate();
        test.testSelectAll();
        test.testDelete();
	}
}
